package com.aucma.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * MES接口日志对象 sys_port_log
 *
 * @author Yinq
 * @date 2023-09-20
 */
public class SysPortLog extends BaseEntity
        {
private static final long serialVersionUID=1L;

    /** 主键标识 */
    private Long objId;

    /** 工厂编码 */
            @Excel(name = "工厂编码")
    private String factoryCode;

    /** 接口标题 */
            @Excel(name = "接口标题")
    private String logTitle;

    /** 方法名称 */
            @Excel(name = "方法名称")
    private String logMethod;

    /** 请求参数 */
            @Excel(name = "请求参数")
    private String operationParam;

    /** 返回消息一 */
            @Excel(name = "返回消息一")
    private String resultOne;

    /** 返回消息二 */
            @Excel(name = "返回消息二")
    private String resultTwo;

    /** 返回消息三 */
            @Excel(name = "返回消息三")
    private String resultThree;

    /** 错误消息 */
            @Excel(name = "错误消息")
    private String errorMsg;

    /** 操作人 */
            @Excel(name = "操作人")
    private String operationUser;

    /** 操作时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    public void setObjId(Long objId)
            {
            this.objId = objId;
            }

    public Long getObjId()
            {
            return objId;
            }
    public void setFactoryCode(String factoryCode)
            {
            this.factoryCode = factoryCode;
            }

    public String getFactoryCode()
            {
            return factoryCode;
            }
    public void setLogTitle(String logTitle)
            {
            this.logTitle = logTitle;
            }

    public String getLogTitle()
            {
            return logTitle;
            }
    public void setLogMethod(String logMethod)
            {
            this.logMethod = logMethod;
            }

    public String getLogMethod()
            {
            return logMethod;
            }
    public void setOperationParam(String operationParam)
            {
            this.operationParam = operationParam;
            }

    public String getOperationParam()
            {
            return operationParam;
            }
    public void setResultOne(String resultOne)
            {
            this.resultOne = resultOne;
            }

    public String getResultOne()
            {
            return resultOne;
            }
    public void setResultTwo(String resultTwo)
            {
            this.resultTwo = resultTwo;
            }

    public String getResultTwo()
            {
            return resultTwo;
            }
    public void setResultThree(String resultThree)
            {
            this.resultThree = resultThree;
            }

    public String getResultThree()
            {
            return resultThree;
            }
    public void setErrorMsg(String errorMsg)
            {
            this.errorMsg = errorMsg;
            }

    public String getErrorMsg()
            {
            return errorMsg;
            }
    public void setOperationUser(String operationUser)
            {
            this.operationUser = operationUser;
            }

    public String getOperationUser()
            {
            return operationUser;
            }
    public void setOperationTime(Date operationTime)
            {
            this.operationTime = operationTime;
            }

    public Date getOperationTime()
            {
            return operationTime;
            }

@Override
public String toString(){
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId",getObjId())
            .append("factoryCode",getFactoryCode())
            .append("logTitle",getLogTitle())
            .append("logMethod",getLogMethod())
            .append("operationParam",getOperationParam())
            .append("resultOne",getResultOne())
            .append("resultTwo",getResultTwo())
            .append("resultThree",getResultThree())
            .append("errorMsg",getErrorMsg())
            .append("operationUser",getOperationUser())
            .append("operationTime",getOperationTime())
        .toString();
        }
        }
